Summary: Washington University FTP daemon
Name: wu-ftpd
Version: 2.4.2b16
Release: 4
Copyright: BSD
Group: Networking/Daemons
Source: ftp://ftp.academ.com/pub/wu-ftpd/private/wu-ftpd-2.4.2-beta-16.tar.Z
Source1: ftpd.log
Source2: ftp.pamd
Patch0: wu-ftpd-2.4.2-beta-16-linux.patch
Patch2: wu-ftpd-2.4.2-rhsconfig.patch
Patch4: wu-ftpd-2.4.2-pam.patch
Patch6: wu-ftpd-2.4.2-cryptlib.patch
Patch7: wu-ftpd-2.4.2-ps.patch
Patch8: wu-ftpd-2.4.2-dumb.patch
Patch9: wu-ftpd-2.4.2-beta-16-valist.patch
Requires: pam >= 0.59
Provides: ftpserver
Prereq: fileutils
Buildroot: /var/tmp/wu-ftpd-root
Summary(de): Washington University FTP-Dmon
Summary(fr): Dmon FTP de l'Universit de Washington
Summary(tr): Washington niversitesi FTP sunucusu

%description
wu-ftpd is the daemon (background) program which serves FTP files to
ftp clients.  It is useful if you wish to exchange programs between
computers without running a network filesystem such as NFS, or if you
with to run an anonymous FTP site (in which case, you will want to
install the anonftp package).

%description -l de
wu-ftpd ist das Dmon- (Hintergrund-) Programm, das FTP-Dateien den 
ftp-Clients vorlegt. Es ist praktisch, um Programme zwischen 
Computern auszutauschen, ohne ein Netzdateisystem wie NFS zu betreiben, 
oder wenn eine anonyme FTP-Site organisiert wird (in welchem Fall das 
anonftp-Paket zu installieren wre). 

%description -l tr
wu-ftpd ile makinanz bir FTP sunucusu olarak alabilir. Bu sayede
FTP istemcileri makinanza balanarak dosya aktarm yapabilirler.
Makinanzda anonim FTP hizmeti vermek istiyorsanz anonftp paketini de
yklemeniz gerekir.

%changelog
* Thu May 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Sun May 03 1998 Cristian Gafton <gafton@redhat.com>
- fixed the ps patch for the new ps convention (use ps www instead of ps -www)

* Sun Apr 12 1998 Cristian Gafton <gafton@redhat.com>
- added %clean section

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.4.2b16
- BuildRoot

* Fri Dec 12 1997 Cristian Gafton <gafton@redhat.com>
- added a patch to prevent a possible PORT command exploit
- cleaned up the .linux patch to get a clean compile on glibc

* Tue Oct 21 1997 Erik Troan <ewt@redhat.com>
- fixed copyright field

* Mon Oct 13 1997 Michael K. Johnson <johnsonm@redhat.com>
- Updated to new pam conventions.

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- Updated to beta 15, which fixes a number of security holes. Release 1
  if for RH 4.2, release 2 is glibc based.

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved from pam.conf to pam.d

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- xferstats should look for perl in /usr/bin, not /usr/local/bin
- provides the "ftpserver" virtual package

* Thu Feb 13 1997 Michael K. Johnson <johnsonm@redhat.com>
- Updated to beta-12, and created a new PAM patch from scratch, since
  the old one made massive changes to ftpd and caused some problems.

%prep
%setup -q -n wu-ftpd-2.4.2-beta-16
mkdir rhsconfig
%patch0 -p1 -b .linux 
%patch2 -p1 -b .rhsconfig
%patch4 -p1 -b .nopam
%patch6 -p1 -b .nocrypt
%patch7 -p1 -b .ps
%patch8 -p1 -b .dumb
%patch9 -p1 -b .valist

%build
RPM_OPT_FLAGS="-g" ./build lnx USE_PAM=1

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
make install DESTDIR=$RPM_BUILD_ROOT
install -m755 util/xferstats $RPM_BUILD_ROOT/usr/sbin
cd rhsconfig
install -m 600 ftpaccess ftpusers  ftphosts ftpgroups ftpconversions $RPM_BUILD_ROOT/etc
strip $RPM_BUILD_ROOT/usr/sbin/* || :
mkdir -p $RPM_BUILD_ROOT/etc/{pam,logrotate}.d
install -m 644 -o 0 -g 0 $RPM_SOURCE_DIR/ftpd.log $RPM_BUILD_ROOT/etc/logrotate.d/ftpd
install -m 644 -o 0 -g 0 $RPM_SOURCE_DIR/ftp.pamd $RPM_BUILD_ROOT/etc/pam.d/ftp

%post
if [ ! -f /var/log/xferlog ]; then
	touch /var/log/xferlog
	chmod 600 /var/log/xferlog
fi

%postun

%files
%doc README ANNOUNCE* NOTES FIXES-* VIRTUAL.FTP.SUPPORT
%config /etc/pam.d/ftp
/usr/sbin/*
/usr/bin/*
/usr/man/*/*
%config /etc/ftp*
%config /etc/logrotate.d/ftpd

%clean
rm -rf $RPM_BUILD_ROOT
